Bug 461363 - Review Request: ptlib - is a portable tools library
Review Request: ptlib - is a portable tools library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460888
  Show dependency treegraph
 
Reported: 2008-09-06 12:26 EDT by Peter Robinson
Modified: 2008-09-11 08:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 08:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-09-06 12:26:23 EDT
SPEC: http://pbrobinson.fedorapeople.org/ptlib.spec
SRPM: http://pbrobinson.fedorapeople.org/ptlib-2.3.1-1.fc9.src.rpm

PTLib (Portable Tools Library) is a moderately large class library that 
has it's genesis many years ago as PWLib (portable Windows Library), a 
method to product applications to run on both Microsoft Windows and Unix 
systems. It has also been ported to other systems such as Mac OSX, VxWorks 
and other embedded systems.

It is supplied mainly to support the OPAL project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire.
Comment 1 Matthias Clasen 2008-09-10 02:21:36 EDT
Doesn't quite build in mock:

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/ptlib/devices/videoinput/v4l_pwplugin.so
Comment 2 Matthias Clasen 2008-09-10 02:41:59 EDT
After fixing that, rpmlint has some complaints:

[mclasen@localhost ~]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm
ptlib.i386: E: non-standard-executable-perm /usr/lib/ptlib/devices/videoinput/v4l2_pwplugin.so 0555
ptlib.i386: E: non-standard-executable-perm /usr/lib/libpt_linux_x86_r.so.2.3-beta1 0555
ptlib.i386: E: non-standard-executable-perm /usr/lib/ptlib/devices/sound/alsa_pwplugin.so 0555
ptlib.i386: E: non-standard-executable-perm /usr/lib/ptlib/devices/videoinput/v4l_pwplugin.so 0555
ptlib-devel.i386: W: no-documentation
ptlib-devel.i386: E: zero-length /usr/include/ptlib/devplugin.h
4 packages and 0 specfiles checked; 5 errors, 1 warnings.

the warning can be ignored, the rest should be fixed.
Comment 3 Peter Robinson 2008-09-10 05:05:50 EDT
There's a new srpm up here and spec in same place as before
http://pbrobinson.fedorapeople.org/ptlib-2.3.1-2.fc9.src.rpm

The build error was a mistake from playing and the rest reports as resolved in rpmlint.
Comment 4 Matthias Clasen 2008-09-10 23:58:44 EDT
Builds fine now, and rpmlint is silent


package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legibility: ok
upstream sources: ok
buildable: ok
excludearch: n/a
buildrequires: ok
locale handling: n/a
shared libs: ok
relocatable: n/a
directory ownership: ok
duplicate files: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc content: ok
header files: ok
static libs: ok
pkgconfig files: ok
shared libs: ok
-devel deps: ok
libtool archives: ok
gui apps: n/a
file ownership: ok
%install: ok
utf8 filenames: ok

Approved
Comment 5 Peter Robinson 2008-09-11 04:18:12 EDT
New Package CVS Request
=======================
Package Name: ptlib
Short Description: Portable Tools Library
Owners: pbrobinson veillard
Branches: F-8 F-9
InitialCC: pbrobinson
Cvsextras Commits: yes
Comment 6 Huzaifa S. Sidhpurwala 2008-09-11 04:34:13 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.